package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 安置部门
 */
@AllArgsConstructor
@Getter
public enum EPlaceDept {

    /**
     * 1=第一部门,2=第二部门
     */
    LEFT_DEPT(1, "安置左区", 0, EnumsPrefixConstants.PLACE_DEPT + "1"),

    /**
     * 第二部门
     */
    RIGHT_DEPT(2, "安置右区", 0, EnumsPrefixConstants.PLACE_DEPT + "2"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getEPlaceDept(int value) {
        for (EPlaceDept ePlaceDept : EPlaceDept.values()) {
            if (ePlaceDept.value == value) {
                return ePlaceDept.label;
            }
        }
        return "";
    }

    /**
     * 根据label获取枚举
     *
     * @param label
     * @return
     */
    public static EPlaceDept getEnumByLabel(String label) {
        for (EPlaceDept value : EPlaceDept.values()) {
            if (value.getLabel().equals(label)) {
                return value;
            }
        }
        return null;
    }

}
